<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,10,20,20);
    $this->SetFont('Arial','B',12);
    $this->Cell(80);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $periodo= $_GET['periodo'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=$registro["nombreie"];
		$departamento=$registro["departamentoie"];
		$municipio=$registro["municipioie"];
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=$registro["resolucionie"];
		$rector=$registro["rectorie"];
	}
	$nomsede= $_GET['nomsede'];
    $this->Cell(40,0,$institucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $this->Cell(80);
    $this->Cell(40,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','',7);
    $this->Cell(80);
    $this->Cell(40,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','I',10);
    $this->Cell(80);
    $this->Cell(40,0,$nomsede,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $grupo=$_POST['grupoest'];
    $this->Cell(80);
    $descper=$periodo;
    if ($periodo==9)
    	$descper="Final";
    $this->Cell(40,0,'LISTA DE ESTUDIANTES ORDENADA POR PROMEDIO DEL GRADO '.substr($grupo,15,2).'-'.substr($grupo,17,1),0,0,'C');
    $this->Ln(5);
}

// Pie de página
function Footer()
{
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$nemo=$registro["nemoie"];
		$direccion=$registro["direccionie"];
		$telefono=$registro["telefonoie"];
		$tiporeporte=$registro["tiporeporte"];
	}
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co',0,0,'R');
}
}

// Creación del objeto de la clase heredada

$pdf = new PDF('P','mm','letter');

$pdf->AddPage();
$pdf->SetMargins(25, 1, 10);
$pdf->Ln(2);
$danesede= $_GET['danesede'];
$bdie= $_GET['bdie'];
$periodo= $_GET['periodo'];
$lectivo= $_GET['lectivo'];
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];
$tipoplanillaparanotas=$_POST['tipoplanillaparanotas'];
$contador="0";
include("../php/conexion-bdie.php");

$contador="0";
	$numasig=0;
	if (substr($grado,15,2)=="00")
		$numasig=9;
	elseif (substr($grado,15,2)=="01")
		$numasig=12;
	elseif (substr($grado,15,2)=="02")
		$numasig=12;
	elseif (substr($grado,15,2)=="03")
		$numasig=12;
	elseif (substr($grado,15,2)=="04")
		$numasig=12;
	elseif (substr($grado,15,2)=="05")
		$numasig=12;
	elseif (substr($grado,15,2)=="06")
		$numasig=13;
	elseif (substr($grado,15,2)=="07")
		$numasig=13;
	elseif (substr($grado,15,2)=="08")
		$numasig=13;
	elseif (substr($grado,15,2)=="09")
		$numasig=15;
	elseif (substr($grado,15,2)=="10")
		$numasig=18;
	elseif (substr($grado,15,2)=="11")
		$numasig=18;
	elseif (substr($grado,15,2)=="23")
		$numasig=11;
	elseif (substr($grado,15,2)=="24")
		$numasig=11;
	elseif (substr($grado,15,2)=="25")
		$numasig=11;
	$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$grupo' And estado='1'",$db_basededatosie);
	while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
		$idestudiantematriculado=$FilaMatriculado["nuid"];
		$sumanotas=0; $numnotas=0; $promedioestudiante=number_format(0,2);
		$regestudiantes=mysql_query("Select nombres,apellidos From datos_estudiantes Where nuid='$idestudiantematriculado'",$db_basededatosie);
		if(mysql_num_rows($regestudiantes)>0){
			$FilaEstudiante=mysql_fetch_array($regestudiantes);
			

				$regnotasestudiante=mysql_query("Select * From datos_notastipo1 Where nuid='$idestudiantematriculado' And periodo='$periodo'",$db_basededatosie);
				while ($FilaNotas=mysql_fetch_array($regnotasestudiante)){
					$definitiva=number_format($FilaNotas[definitiva],1);
					$idasignatura=$FilaNotas[idasignatura];
					$res_asignaturas=mysql_query("Select ih From datos_asignaturas Where idasignatura='$idasignatura'",$db_basededatosie);
					$reg_asignatura=mysql_fetch_array($res_asignaturas);
					if ($reg_asignatura[ih]!=0){
						$sumanotas+=$definitiva;
						$numnotas+=1;
					}
				}		
	
			$promedioestudiante=number_format($sumanotas/$numnotas,2);
			$estudiantesdesordenados[$contador][0]=number_format($promedioestudiante,2);
			$estudiantesdesordenados[$contador][1]=utf8_decode($FilaEstudiante["apellidos"]." ".$FilaEstudiante["nombres"]);
			$totalcurso+=$promedioestudiante;
			$contador=$contador+1;
		}
		$contadoralumnos=$contadoralumnos+1;
	}


// Ordenar el array ... 
if ($estudiantesdesordenados)
	rsort($estudiantesdesordenados);
else
	$pdf->Cell(100,4,'MENSAJE: No hay estudiantes matriculados',1,1,'C');

$tamañoletra=$_POST['tamanoletra'];
$tipoletra=$_POST['tipoletra'];

$pdf->SetFont($tipoletra,'B',$tamañoletra);
$pdf->Ln(2);
$pdf->Cell(10,5,'No.:',1,0,'C'); $pdf->Cell(85,5,'ESTUDIANTE',1,0,'C');$pdf->Cell(40,5,'TOTAL FALLAS',1,0,'C');$pdf->Cell(40,5,'PROMEDIO PERIODO',1,1,'C');
$pdf->SetFont($tipoletra,'',$tamañoletra);
for ($i=0;$i<$contadoralumnos;$i++) {
	$pdf->Cell(10,$tamañoletra-4,$i+1,1,0,'C');
	$pdf->Cell(85,$tamañoletra-4,$estudiantesdesordenados[$i][1],1,0,'L');
	$pdf->Cell(40,$tamañoletra-4,$estudiantesdesordenados[$i][2],1,0,'C');
	$pdf->Cell(40,$tamañoletra-4,$estudiantesdesordenados[$i][0],1,1,'C');
}
$pdf->Ln(2);
$pdf->SetFont($tipoletra,'B',10);
$promediocurso=number_format($totalcurso/$contadoralumnos,1);
$pdf->Cell(175,$tamañoletra-4,'PROMEDIO CURSO ==>>> '.$promediocurso,1,1,'C');
$pdf->Ln(5);
$pdf->SetFont($tipoletra,'B',6);
$pdf->Cell(175,$tamañoletra-4,'Estos valores se obtienen de promediar las notas definitivas de cada Asignatura. No tenga en cuenta los promedios por Area.',1,1,'C');
$pdf->Output();
?>